# Class ErrorType

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents the error type.

    public class ErrorType

Inheritance
  object
  ErrorType

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Fields

### ApiError

Represents the api_error type.

    public const string ApiError = "api_error"

#### Field Value

string

### AuthenticationError

Represents the authentication_error type.

    public const string AuthenticationError = "authentication_error"

#### Field Value

string

### InvalidRequestError

Represents the invalid_request error type.

    public const string InvalidRequestError = "invalid_request_error"

#### Field Value

string

### NotFoundError

Represents the not_found_error type.

    public const string NotFoundError = "not_found_error"

#### Field Value

string

### OverloadedError

Represents the overloaded_error type.

    public const string OverloadedError = "overloaded_error"

#### Field Value

string

### PermissionError

Represents the permission_error type.

    public const string PermissionError = "permission_error"

#### Field Value

string

### RateLimitError

Represents the rate_limit_error type.

    public const string RateLimitError = "rate_limit_error"

#### Field Value

string